%global rebasename rebasehelper

Name:           rebase-helper
Version:        0.6.0
Release:        1%{?dist}
Summary:        The tool which helps you with rebase package

License:        GPLv2+
URL:            https://github.com/phracek/rebase-helper
Source0:        https://github.com/phracek/%{name}/archive/%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pytest
BuildRequires:  pyliblzma
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  rpm-python
BuildRequires:  python-six
BuildRequires:  python-pycurl
BuildRequires:  python3-pycurl
BuildRequires:  koji
BuildRequires:  pyrpkg

Requires:       mock, rpm-build
Requires:       pkgdiff >= 1.6.3
Requires:       rpm-python
Requires:       python-six
Requires:       fedpkg
Requires:       koji
Requires:       pyrpkg
Requires:       libabigail
Patch00:        rebase-helper-download-test.patch
Patch01:        rebase-helper-test-git.patch

%description
Rebase-Helper is a tool to help package maintainers to update
their packages to the latest upstream version.
It helps you to rebase existing patches on top of the new sources.
It also builds RPMs and performs various tests on them,
comparing to the previous version.

%prep
%setup -q -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%patch00 -p1 -b .download
%patch01 -p1 -b .test-git

%build
%{__python2} setup.py build

%install
mkdir -p %{buildroot}/%{_datadir}/man/man1/
%{__python2} setup.py install --skip-build --root %{buildroot}
cp man/rebase-helper.1 %{buildroot}/%{_datadir}/man/man1

%check
%{__python} setup.py test -t py.test

%files
%{_bindir}/%{name}
%doc LICENSE
%{python2_sitelib}/%{rebasename}
%{python2_sitelib}/%{rebasename}-%{version}-py?.?.egg-info
%{_datadir}/man/man1/rebase-helper.1.gz

%changelog
* Fri Jul 31 2015 Petr Hracek <phracek@redhat.com> - 0.6.0-1
- New upstream version 0.6.0 (#1249518)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 25 2015 Petr Hracek <phracek@redhat.com> - 0.5.0-1
- New upstream version 0.5.0 #1224680

* Thu Mar 05 2015 Petr Hracek <phracek@redhat.com> - 0.4.0-3
- Add man page (#1185985)

* Mon Jan 19 2015 Petr Hracek <phracek@redhat.com> - 0.4.0-2
- Remove dependency to pkgdiff from setup (#1176563)

* Fri Dec 05 2014 Petr Hracek <phracek@redhat.com> - 0.4.0-1
- New upstream release

* Fri Jul 25 2014 Petr Hracek <phracek@redhat.com> - 0.3.1-1
- New upstream release
- Add --build-only option
- Catch Keyboard Interupted
- Add --continue option for rebases

* Tue Jul 08 2014 Tomas Hozza <thozza@redhat.com> - 0.3.0-0.4.20140624git
- Add requires on pkgdiff

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.3.20140624git
- Include LICENSE text file
- use __python2 macros

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.2.20140623git
- Removed shebang from __init__.py file

* Mon Jun 23 2014 Petr Hracek <phracek@redhat.com> - 0.3.0-0.1.20140623git
- Initial version

